# Uses of Class
it.tdlight.jni.TdApi.LanguagePackStringValue

## Uses of TdApi.LanguagePackStringValue in it.tdlight.jni

Subclasses of TdApi.LanguagePackStringValue in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.LanguagePackStringValueDeleted`
A deleted language pack string, the value must be taken from the built-in English language pack.
`static final class`
`TdApi.LanguagePackStringValueOrdinary`
An ordinary language pack string.
`static final class`
`TdApi.LanguagePackStringValuePluralized`
A language pack string which has different forms based on the number of some object it mentions.
Fields in it.tdlight.jni declared as TdApi.LanguagePackStringValue
Modifier and Type
Field
Description
`TdApi.LanguagePackStringValue`
TdApi.LanguagePackString.`value`
String value; pass null if the string needs to be taken from the built-in English language pack.
Constructors in it.tdlight.jni with parameters of type TdApi.LanguagePackStringValue
Modifier
Constructor
Description
``
`LanguagePackString(String key, TdApi.LanguagePackStringValue value)`
Represents one language pack string.